<?php

namespace GriffinForms\Admin\Secure;

class FormPage extends \GriffinForms\Admin\Secure\Format
{
    protected function secureStepData($value): array
    {
        $defaults = array(
            'step_name' => '',
            'step_icon' => '',
        );

        if (!is_array($value)) {
            return $defaults;
        }

        return array(
            'step_name' => isset($value['step_name']) ? sanitize_text_field($value['step_name']) : '',
            'step_icon' => isset($value['step_icon']) ? sanitize_text_field($value['step_icon']) : '',
        );
    }
}
